Bug 53430 - pilot-xfer ignores environment variables
pilot-xfer ignores environment variables
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pilot-link (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-08 14:36 EDT by William M. Quarles
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-08 14:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William M. Quarles 2001-09-08 14:36:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
If the environment variables PILOTRATE and PILOTPORT are set using bash,
the pilot-xfer program ignores these and simply synchronizes using the
default device or the device specified on the command line, and it uses the
default rate of 9600 baud

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run in X so that multiple terminals can be opened.
2.Type PILOTRATE=115200 at the bash prompt in a terminal window.
3.Type PILOTPORT=/dev/ttySx where x is the number of the serial port to be
used.
4.Verify that these variables have been set correctly using, for example,
"echo $PILOTRATE"
5.Run "pilot-xfer -b pilot-link", for example.  It will say "Port: /dev/pilot"
6.Run stty -F /dev/ttySx, and you will see that the baud rate has been set
to 9600, even if you set it to a different value earlier.
	

Actual Results:  Synchonization is pretty darn slow, and not necessarily on
the port that you want it to be.

Expected Results:  The synchonization should take place at the port and
baud rate specified by the environment variables.

Additional info:  Also tried installing the latest RawHide package, didn't
help the issue.
Comment 1 Ngo Than 2001-09-19 16:19:19 EDT
It's fixed in pilot-link-0.9.5-9. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.